> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bulk Invoice Payment Transactions

> Returns token transactions grouped by invoice for several invoice payments.

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-bulk-invoice-payment-transactions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-bulk-invoice-payment-transactions:
    post:
      operationId: getBulkInvoicePaymentTransactions
      summary: Get Bulk Invoice Payment Transactions
      x-toku-required-scope: payments:read
      description: >-
        Returns token transactions grouped by invoice for several invoice
        payments.


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetBulkInvoicePaymentTransactionsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBulkInvoicePaymentTransactionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetBulkInvoicePaymentTransactionsRequest:
      type: object
      properties:
        invoicePaymentIDs:
          type: array
          items:
            type: string
            format: uuid
      required:
        - invoicePaymentIDs
    GetBulkInvoicePaymentTransactionsResponse:
      type: object
      properties:
        success:
          type: boolean
        transactionsByInvoice:
          type: object
          additionalProperties:
            type: array
            items:
              type: object
              properties:
                invoicePaymentID:
                  type: string
                invoiceTokenTransactionID:
                  type: string
                roleInOrgID:
                  type: string
                tokenID:
                  type: string
                tokenName:
                  type: string
                tokenSymbol:
                  type: string
                address:
                  type: string
                tokenAmount:
                  oneOf:
                    - type: string
                    - type: number
                sourceAmount:
                  oneOf:
                    - type: string
                    - type: number
                exchangeRate:
                  oneOf:
                    - type: string
                    - type: number
                sourceCurrencyCode:
                  type: string
                isApproved:
                  type: boolean
                settlementId:
                  type: string
                transactionHash:
                  type: string
                transactionLink:
                  type: string
                dateFulfilled:
                  type: string
              required:
                - invoicePaymentID
                - roleInOrgID
                - tokenID
                - address
                - tokenAmount
                - sourceAmount
                - exchangeRate
                - sourceCurrencyCode
                - isApproved
      required:
        - success
        - transactionsByInvoice
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
